{ stdenv, fetchurl, dpkg }:

stdenv.mkDerivation rec {
  pname = "efisc";
  version = "1.0.8-62";
  year = "2024";

  src = fetchurl {
    url = "https://efisc.kttg.ch/update/${pname}/${year}/${pname}${year}_${version}_amd64.deb";
    #https://efisc.kttg.ch/update/eFisc/2024/efisc2024_1.0.8-62_amd64.deb
    sha256 = "sha256-sMMpGnmDOwU/3On0XFdSbrfXj3/6oK6FBrXo2DIMCCQ=";
  };
  
  dontBuild = true;
  buildInputs = [ dpkg ];

  unpackPhase = ''
    dpkg-deb -x $src $pname
  '';

  installPhase = ''
    cp -r ${pname} $out
    cd $out/usr/share/
    sed -i "s|Icon=|Icon=$out|" applications/efisc2024.desktop
    sed -i "s|Exec=|Exec=$out|" applications/efisc2024.desktop

    sed -i "s|/usr|$out/usr|" efisc2024/efisc2024.sh
  '';
}
